| QxOrm 1.4.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

Namespaces | Classes | Functions
qx::cvt::detail Namespace Reference
QxCommon : QxOrm library common tools and macros

Internal helper tools for qx::cvt namespace. More...

## Namespaces
namespace | helper
## Classes
struct | QxConvertHelper_ToString
struct | QxConvertHelper_FromString
struct | QxConvertHelper_ToVariant
struct | QxConvertHelper_FromVariant
struct | QxConvertHelper_ToJson
struct | QxConvertHelper_FromJson
struct | QxConvertHelper_ToString< T, qx::cvt::detail::helper::QxConvertHelper_Generic >
struct | QxConvertHelper_FromString< T, qx::cvt::detail::helper::QxConvertHelper_Generic >
struct | QxConvertHelper_ToVariant< T, qx::cvt::detail::helper::QxConvertHelper_Generic >
struct | QxConvertHelper_FromVariant< T, qx::cvt::detail::helper::QxConvertHelper_Generic >
struct | QxConvertHelper_ToJson< T, qx::cvt::detail::helper::QxConvertHelper_Generic >
struct | QxConvertHelper_FromJson< T, qx::cvt::detail::helper::QxConvertHelper_Generic >
struct | QxConvertHelper_ToString< T, qx::cvt::detail::helper::QxConvertHelper_Persistable >
struct | QxConvertHelper_FromString< T, qx::cvt::detail::helper::QxConvertHelper_Persistable >
struct | QxConvertHelper_ToVariant< T, qx::cvt::detail::helper::QxConvertHelper_Persistable >
struct | QxConvertHelper_FromVariant< T, qx::cvt::detail::helper::QxConvertHelper_Persistable >
struct | QxConvertHelper_ToJson< T, qx::cvt::detail::helper::QxConvertHelper_Persistable >
struct | QxConvertHelper_FromJson< T, qx::cvt::detail::helper::QxConvertHelper_Persistable >
struct | QxConvertHelper_ToString< T, qx::cvt::detail::helper::QxConvertHelper_Ptr >
struct | QxConvertHelper_FromString< T, qx::cvt::detail::helper::QxConvertHelper_Ptr >
struct | QxConvertHelper_ToVariant< T, qx::cvt::detail::helper::QxConvertHelper_Ptr >
struct | QxConvertHelper_FromVariant< T, qx::cvt::detail::helper::QxConvertHelper_Ptr >
struct | QxConvertHelper_ToJson< T, qx::cvt::detail::helper::QxConvertHelper_Ptr >
struct | QxConvertHelper_FromJson< T, qx::cvt::detail::helper::QxConvertHelper_Ptr >
struct | QxConvertHelper_ToString< T, qx::cvt::detail::helper::QxConvertHelper_Registered >
struct | QxConvertHelper_FromString< T, qx::cvt::detail::helper::QxConvertHelper_Registered >
struct | QxConvertHelper_ToVariant< T, qx::cvt::detail::helper::QxConvertHelper_Registered >
struct | QxConvertHelper_FromVariant< T, qx::cvt::detail::helper::QxConvertHelper_Registered >
struct | QxConvertHelper_ToJson< T, qx::cvt::detail::helper::QxConvertHelper_Registered >
struct | QxConvertHelper_FromJson< T, qx::cvt::detail::helper::QxConvertHelper_Registered >
struct | QxConvertHelper_ToString< T, qx::cvt::detail::helper::QxConvertHelper_Container >
struct | QxConvertHelper_FromString< T, qx::cvt::detail::helper::QxConvertHelper_Container >
struct | QxConvertHelper_ToVariant< T, qx::cvt::detail::helper::QxConvertHelper_Container >
struct | QxConvertHelper_FromVariant< T, qx::cvt::detail::helper::QxConvertHelper_Container >
struct | QxConvertHelper_ToJson< T, qx::cvt::detail::helper::QxConvertHelper_Container >
struct | QxConvertHelper_FromJson< T, qx::cvt::detail::helper::QxConvertHelper_Container >
struct | QxConvertHelper_ToString< T, qx::cvt::detail::helper::QxConvertHelper_Enum >
struct | QxConvertHelper_FromString< T, qx::cvt::detail::helper::QxConvertHelper_Enum >
struct | QxConvertHelper_ToVariant< T, qx::cvt::detail::helper::QxConvertHelper_Enum >
struct | QxConvertHelper_FromVariant< T, qx::cvt::detail::helper::QxConvertHelper_Enum >
struct | QxConvertHelper_ToJson< T, qx::cvt::detail::helper::QxConvertHelper_Enum >
struct | QxConvertHelper_FromJson< T, qx::cvt::detail::helper::QxConvertHelper_Enum >
struct | QxConvertHelper
struct | QxConvert_ToString
struct | QxConvert_FromString
struct | QxConvert_ToVariant
struct | QxConvert_FromVariant
struct | QxConvert_ToJson
struct | QxConvert_FromJson
struct | QxConvert_ToJson< std::optional< T > >
struct | QxConvert_FromJson< std::optional< T > >
struct | QxConvert_ToString< std::optional< T > >
struct | QxConvert_FromString< std::optional< T > >
struct | QxConvert_ToVariant< std::optional< T > >
struct | QxConvert_FromVariant< std::optional< T > >
struct | QxConvert_ToJson< boost::scoped_ptr< T > >
struct | QxConvert_FromJson< boost::scoped_ptr< T > >
struct | QxConvert_ToJson< boost::shared_ptr< T > >
struct | QxConvert_FromJson< boost::shared_ptr< T > >
struct | QxConvert_ToJson< boost::tuple< T0, T1 > >
struct | QxConvert_ToJson< boost::tuple< T0, T1, T2 > >
struct | QxConvert_ToJson< boost::tuple< T0, T1, T2, T3 > >
struct | QxConvert_ToJson< boost::tuple< T0, T1, T2, T3, T4 > >
struct | QxConvert_ToJson< boost::tuple< T0, T1, T2, T3, T4, T5 > >
struct | QxConvert_ToJson< boost::tuple< T0, T1, T2, T3, T4, T5, T6 > >
struct | QxConvert_ToJson< boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > >
struct | QxConvert_ToJson< boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > >
struct | QxConvert_ToJson< boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > >
struct | QxConvert_FromJson< boost::tuple< T0, T1 > >
struct | QxConvert_FromJson< boost::tuple< T0, T1, T2 > >
struct | QxConvert_FromJson< boost::tuple< T0, T1, T2, T3 > >
struct | QxConvert_FromJson< boost::tuple< T0, T1, T2, T3, T4 > >
struct | QxConvert_FromJson< boost::tuple< T0, T1, T2, T3, T4, T5 > >
struct | QxConvert_FromJson< boost::tuple< T0, T1, T2, T3, T4, T5, T6 > >
struct | QxConvert_FromJson< boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > >
struct | QxConvert_FromJson< boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > >
struct | QxConvert_FromJson< boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > >
struct | QxConvert_ToJson< boost::unordered_map< Key, Value > >
struct | QxConvert_FromJson< boost::unordered_map< Key, Value > >
struct | QxConvert_ToJson< boost::unordered_multimap< Key, Value > >
struct | QxConvert_FromJson< boost::unordered_multimap< Key, Value > >
struct | QxConvert_ToJson< boost::unordered_map< QString, Value > >
struct | QxConvert_FromJson< boost::unordered_map< QString, Value > >
struct | QxConvert_ToJson< boost::unordered_map< std::string, Value > >
struct | QxConvert_FromJson< boost::unordered_map< std::string, Value > >
struct | QxConvert_ToJson< boost::unordered_map< std::wstring, Value > >
struct | QxConvert_FromJson< boost::unordered_map< std::wstring, Value > >
struct | QxConvert_ToJson< boost::unordered_set< T > >
struct | QxConvert_FromJson< boost::unordered_set< T > >
struct | QxConvert_ToJson< boost::unordered_multiset< T > >
struct | QxConvert_FromJson< boost::unordered_multiset< T > >
struct | QxConvert_ToJson< qx::service::IxParameter >
struct | QxConvert_FromJson< qx::service::IxParameter >
struct | QxConvert_ToJson< qx::IxPersistable >
struct | QxConvert_FromJson< qx::IxPersistable >
struct | QxConvert_ToJson< qx::service::IxService >
struct | QxConvert_FromJson< qx::service::IxService >
struct | QxConvert_ToJson< qx::dao::detail::IxSqlElement >
struct | QxConvert_FromJson< qx::dao::detail::IxSqlElement >
struct | QxConvert_ToJson< QBrush >
struct | QxConvert_FromJson< QBrush >
struct | QxConvert_ToJson< QColor >
struct | QxConvert_FromJson< QColor >
struct | QxConvert_ToJson< QFlags< T > >
struct | QxConvert_FromJson< QFlags< T > >
struct | QxConvert_ToJson< QFont >
struct | QxConvert_FromJson< QFont >
struct | QxConvert_ToJson< QHash< Key, Value > >
struct | QxConvert_FromJson< QHash< Key, Value > >
struct | QxConvert_ToJson< QHash< QString, Value > >
struct | QxConvert_FromJson< QHash< QString, Value > >
struct | QxConvert_ToJson< QHash< std::string, Value > >
struct | QxConvert_FromJson< QHash< std::string, Value > >
struct | QxConvert_ToJson< QHash< std::wstring, Value > >
struct | QxConvert_FromJson< QHash< std::wstring, Value > >
struct | QxConvert_ToJson< QImage >
struct | QxConvert_FromJson< QImage >
struct | QxConvert_ToJson< QLinkedList< T > >
struct | QxConvert_FromJson< QLinkedList< T > >
struct | QxConvert_ToJson< QList< T > >
struct | QxConvert_FromJson< QList< T > >
struct | QxConvert_ToJson< QMap< Key, Value > >
struct | QxConvert_FromJson< QMap< Key, Value > >
struct | QxConvert_ToJson< QMap< QString, Value > >
struct | QxConvert_FromJson< QMap< QString, Value > >
struct | QxConvert_ToJson< QMap< std::string, Value > >
struct | QxConvert_FromJson< QMap< std::string, Value > >
struct | QxConvert_ToJson< QMap< std::wstring, Value > >
struct | QxConvert_FromJson< QMap< std::wstring, Value > >
struct | QxConvert_ToJson< QMatrix >
struct | QxConvert_FromJson< QMatrix >
struct | QxConvert_ToJson< QMultiHash< Key, Value > >
struct | QxConvert_FromJson< QMultiHash< Key, Value > >
struct | QxConvert_ToJson< QMultiMap< Key, Value > >
struct | QxConvert_FromJson< QMultiMap< Key, Value > >
struct | QxConvert_ToJson< QObject >
struct | QxConvert_FromJson< QObject >
struct | QxConvert_ToJson< QPair< T1, T2 > >
struct | QxConvert_FromJson< QPair< T1, T2 > >
struct | QxConvert_ToJson< QPicture >
struct | QxConvert_FromJson< QPicture >
struct | QxConvert_ToJson< QPixmap >
struct | QxConvert_FromJson< QPixmap >
struct | QxConvert_ToJson< QPoint >
struct | QxConvert_FromJson< QPoint >
struct | QxConvert_ToJson< QRect >
struct | QxConvert_FromJson< QRect >
struct | QxConvert_ToJson< QRegExp >
struct | QxConvert_FromJson< QRegExp >
struct | QxConvert_ToJson< QRegion >
struct | QxConvert_FromJson< QRegion >
struct | QxConvert_ToJson< QSharedPointer< T > >
struct | QxConvert_FromJson< QSharedPointer< T > >
struct | QxConvert_ToJson< QSize >
struct | QxConvert_FromJson< QSize >
struct | QxConvert_ToJson< QSqlError >
struct | QxConvert_FromJson< QSqlError >
struct | QxConvert_ToJson< QStringList >
struct | QxConvert_FromJson< QStringList >
struct | QxConvert_ToJson< QUrl >
struct | QxConvert_FromJson< QUrl >
struct | QxConvert_ToJson< QVariantMap >
struct | QxConvert_FromJson< QVariantMap >
struct | QxConvert_ToJson< QVector< T > >
struct | QxConvert_FromJson< QVector< T > >
struct | QxConvert_ToJson< QWeakPointer< T > >
struct | QxConvert_FromJson< QWeakPointer< T > >
struct | QxSerializeJsonRegistered_Helper
struct | QxSerializeJsonRegistered
struct | QxConvert_ToJson< qx::QxCollection< Key, Value > >
struct | QxConvert_FromJson< qx::QxCollection< Key, Value > >
struct | QxConvert_ToJson< qx::QxCollection< QString, Value > >
struct | QxConvert_FromJson< qx::QxCollection< QString, Value > >
struct | QxConvert_ToJson< qx::QxCollection< std::string, Value > >
struct | QxConvert_FromJson< qx::QxCollection< std::string, Value > >
struct | QxConvert_ToJson< qx::QxCollection< std::wstring, Value > >
struct | QxConvert_FromJson< qx::QxCollection< std::wstring, Value > >
struct | QxConvert_ToJson< qx::dao::ptr< T > >
struct | QxConvert_FromJson< qx::dao::ptr< T > >
struct | QxConvert_ToJson< qx::QxInvalidValue >
struct | QxConvert_FromJson< qx::QxInvalidValue >
struct | QxConvert_ToJson< qx::QxInvalidValueX >
struct | QxConvert_FromJson< qx::QxInvalidValueX >
struct | QxConvert_ToJson< qx::QxSqlQuery >
struct | QxConvert_FromJson< qx::QxSqlQuery >
struct | QxConvert_ToJson< qx::service::QxTransaction >
struct | QxConvert_FromJson< qx::service::QxTransaction >
struct | QxConvert_ToJson< std::list< T > >
struct | QxConvert_FromJson< std::list< T > >
struct | QxConvert_ToJson< std::map< Key, Value > >
struct | QxConvert_FromJson< std::map< Key, Value > >
struct | QxConvert_ToJson< std::map< QString, Value > >
struct | QxConvert_FromJson< std::map< QString, Value > >
struct | QxConvert_ToJson< std::map< std::string, Value > >
struct | QxConvert_FromJson< std::map< std::string, Value > >
struct | QxConvert_ToJson< std::map< std::wstring, Value > >
struct | QxConvert_FromJson< std::map< std::wstring, Value > >
struct | QxConvert_ToJson< std::pair< T1, T2 > >
struct | QxConvert_FromJson< std::pair< T1, T2 > >
struct | QxConvert_ToJson< std::set< T > >
struct | QxConvert_FromJson< std::set< T > >
struct | QxConvert_ToJson< std::shared_ptr< T > >
struct | QxConvert_FromJson< std::shared_ptr< T > >
struct | QxConvert_ToJson< std::tuple< T0, T1 > >
struct | QxConvert_ToJson< std::tuple< T0, T1, T2 > >
struct | QxConvert_ToJson< std::tuple< T0, T1, T2, T3 > >
struct | QxConvert_ToJson< std::tuple< T0, T1, T2, T3, T4 > >
struct | QxConvert_ToJson< std::tuple< T0, T1, T2, T3, T4, T5 > >
struct | QxConvert_ToJson< std::tuple< T0, T1, T2, T3, T4, T5, T6 > >
struct | QxConvert_ToJson< std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > >
struct | QxConvert_ToJson< std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > >
struct | QxConvert_ToJson< std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > >
struct | QxConvert_FromJson< std::tuple< T0, T1 > >
struct | QxConvert_FromJson< std::tuple< T0, T1, T2 > >
struct | QxConvert_FromJson< std::tuple< T0, T1, T2, T3 > >
struct | QxConvert_FromJson< std::tuple< T0, T1, T2, T3, T4 > >
struct | QxConvert_FromJson< std::tuple< T0, T1, T2, T3, T4, T5 > >
struct | QxConvert_FromJson< std::tuple< T0, T1, T2, T3, T4, T5, T6 > >
struct | QxConvert_FromJson< std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > >
struct | QxConvert_FromJson< std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > >
struct | QxConvert_FromJson< std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > >
struct | QxConvert_ToJson< std::unique_ptr< T > >
struct | QxConvert_FromJson< std::unique_ptr< T > >
struct | QxConvert_ToJson< std::unordered_map< Key, Value > >
struct | QxConvert_FromJson< std::unordered_map< Key, Value > >
struct | QxConvert_ToJson< std::unordered_multimap< Key, Value > >
struct | QxConvert_FromJson< std::unordered_multimap< Key, Value > >
struct | QxConvert_ToJson< std::unordered_map< QString, Value > >
struct | QxConvert_FromJson< std::unordered_map< QString, Value > >
struct | QxConvert_ToJson< std::unordered_map< std::string, Value > >
struct | QxConvert_FromJson< std::unordered_map< std::string, Value > >
struct | QxConvert_ToJson< std::unordered_map< std::wstring, Value > >
struct | QxConvert_FromJson< std::unordered_map< std::wstring, Value > >
struct | QxConvert_ToJson< std::unordered_set< T > >
struct | QxConvert_FromJson< std::unordered_set< T > >
struct | QxConvert_ToJson< std::unordered_multiset< T > >
struct | QxConvert_FromJson< std::unordered_multiset< T > >
struct | QxConvert_ToJson< std::vector< T > >
struct | QxConvert_FromJson< std::vector< T > >
## Functions
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const qx::dao::detail::IxSqlElement &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, qx::dao::detail::IxSqlElement &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const qx::QxSqlQuery &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, qx::QxSqlQuery &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QBrush &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QBrush &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QColor &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QColor &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QFont &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QFont &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QImage &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QImage &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QMatrix &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QMatrix &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QObject &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QObject &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QPicture &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QPicture &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QPixmap &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QPixmap &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QPoint &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QPoint &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QRect &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QRect &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QRegExp &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QRegExp &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QRegion &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QRegion &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QSize &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QSize &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QSqlError &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QSqlError &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const QStringList &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, QStringList &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const qx::service::IxService &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, qx::service::IxService &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const qx::service::QxTransaction &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, qx::service::QxTransaction &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const qx::QxInvalidValue &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, qx::QxInvalidValue &t, const QString &format) QX_USED
QX_DLL_EXPORT QJsonValue | QxConvert_ToJson_Helper (const qx::QxInvalidValueX &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | QxConvert_FromJson_Helper (const QJsonValue &j, qx::QxInvalidValueX &t, const QString &format) QX_USED

## Detailed Description

Internal helper tools for qx::cvt namespace.

## Function Documentation

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QObject & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QPoint & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QStringList & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QRect & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QRegExp & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QSize & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QSqlError & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QColor & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QBrush & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QFont & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QMatrix & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QRegion & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QPicture & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QPixmap & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | QImage & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | qx::service::IxService & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | qx::QxInvalidValueX & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | qx::QxInvalidValue & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | qx::dao::detail::IxSqlElement & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | qx::service::QxTransaction & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | qx::QxSqlQuery & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QStringList & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QPoint & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QRect & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QRegExp & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QSize & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QObject & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QSqlError & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QMatrix & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QFont & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QRegion & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QBrush & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QColor & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QPicture & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QImage & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const QPixmap & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const qx::QxInvalidValueX & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const qx::service::IxService & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const qx::QxInvalidValue & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const qx::dao::detail::IxSqlElement & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const qx::service::QxTransaction & | t,
|  | const QString & | format
| ) |  |

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const qx::QxSqlQuery & | t,
|  | const QString & | format
| ) |  |